package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 商家
 * @Author Mechrevo
 * @Date 2023 08 01 10 00
 **/
public class EnterpriseDto {

    private Long id;

    /**
     * 铺主姓名
     */
    private String ownerName;

    /**
     * 国别
     */
    private String nationality;

    /**
     * 商户分类(自营商铺=自营商铺,劳务商铺=劳务商铺)
     */
    private String type;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 法人
     */
    private String legalPerson;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 手机号码
     */
    private String ownerTel;

    /**
     * 营业执照
     */
    private String businessLicense;

    /**
     * 所在铺位ID
     */
    private Long shopId;

    /**
     * 所在铺位名称(1=100-2)
     */
    private String shopName;

    /**
     * 银行编号(CMB= 招商银行)
     */
    private String bankNo;

    /**
     * 银行名称
     */
    private String bank;

    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 税号
     */
    private String dutyParagraph;

    /**
     * 地址全路径如1,22,333
     */
    private String addressIds;

    /**
     * 地址
     */
    private String address;

    /**
     * 详细地址
     */
    private String detail;

    /**
     *
     */
    private String agreement;

    /**
     * 审核状态(0=未审核,1=审核通过,2=审核驳回)
     */
    private Integer judgeStatus;

    /**
     * 审核意见
     */
    private String judgeContent;

    /**
     * 审核时间
     */
    private Date judgeTime;

    /**
     * 注册时间
     */
    private Date registerTime;

    /**
     * 审核人
     */
    private String judgeBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人编号
     */
    private String createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人编号
     */
    private String updateBy;

    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Long deleteStatus;

    /**
     * 是否锁住
     */
    private Integer isLock;

    /**
     * 互市区ID
     */
    private Long tradeAreaId;

    /**
     * 互市区名称
     */
    private String tradeAreaName;

    /**
     * 地方平台的内部业务编号
     */
    private String platSeqNo;

    /**
     * 证件类型
     */
    private String ownerIdtype;

    /**
     * 启停用状态： 1- 启用 2-停用 3-注销
     */
    private String eDStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public String getNationality() {
        return nationality;
    }

    public void setNationality(String nationality) {
        this.nationality = nationality;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getOwnerTel() {
        return ownerTel;
    }

    public void setOwnerTel(String ownerTel) {
        this.ownerTel = ownerTel;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getBankNo() {
        return bankNo;
    }

    public void setBankNo(String bankNo) {
        this.bankNo = bankNo;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getDutyParagraph() {
        return dutyParagraph;
    }

    public void setDutyParagraph(String dutyParagraph) {
        this.dutyParagraph = dutyParagraph;
    }

    public String getAddressIds() {
        return addressIds;
    }

    public void setAddressIds(String addressIds) {
        this.addressIds = addressIds;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getAgreement() {
        return agreement;
    }

    public void setAgreement(String agreement) {
        this.agreement = agreement;
    }

    public Integer getJudgeStatus() {
        return judgeStatus;
    }

    public void setJudgeStatus(Integer judgeStatus) {
        this.judgeStatus = judgeStatus;
    }

    public String getJudgeContent() {
        return judgeContent;
    }

    public void setJudgeContent(String judgeContent) {
        this.judgeContent = judgeContent;
    }

    public Date getJudgeTime() {
        return judgeTime;
    }

    public void setJudgeTime(Date judgeTime) {
        this.judgeTime = judgeTime;
    }

    public Date getRegisterTime() {
        return registerTime;
    }

    public void setRegisterTime(Date registerTime) {
        this.registerTime = registerTime;
    }

    public String getJudgeBy() {
        return judgeBy;
    }

    public void setJudgeBy(String judgeBy) {
        this.judgeBy = judgeBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Long getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Long deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Integer getIsLock() {
        return isLock;
    }

    public void setIsLock(Integer isLock) {
        this.isLock = isLock;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getOwnerIdtype() {
        return ownerIdtype;
    }

    public void setOwnerIdtype(String ownerIdtype) {
        this.ownerIdtype = ownerIdtype;
    }

    public String geteDStatus() {
        return eDStatus;
    }

    public void seteDStatus(String eDStatus) {
        this.eDStatus = eDStatus;
    }

    public EnterpriseDto(Long id, String ownerName, String nationality, String type, Integer sex, String legalPerson, String idCard, String ownerTel, String businessLicense, Long shopId, String shopName, String bankNo, String bank, String bankAccount, Integer age, String dutyParagraph, String addressIds, String address, String detail, String agreement, Integer judgeStatus, String judgeContent, Date judgeTime, Date registerTime, String judgeBy, Date createTime, String createBy, String createName, Date updateTime, String updateBy, String updateName, Long deleteStatus, Integer isLock, Long tradeAreaId, String tradeAreaName, String platSeqNo, String ownerIdtype, String eDStatus) {
        this.id = id;
        this.ownerName = ownerName;
        this.nationality = nationality;
        this.type = type;
        this.sex = sex;
        this.legalPerson = legalPerson;
        this.idCard = idCard;
        this.ownerTel = ownerTel;
        this.businessLicense = businessLicense;
        this.shopId = shopId;
        this.shopName = shopName;
        this.bankNo = bankNo;
        this.bank = bank;
        this.bankAccount = bankAccount;
        this.age = age;
        this.dutyParagraph = dutyParagraph;
        this.addressIds = addressIds;
        this.address = address;
        this.detail = detail;
        this.agreement = agreement;
        this.judgeStatus = judgeStatus;
        this.judgeContent = judgeContent;
        this.judgeTime = judgeTime;
        this.registerTime = registerTime;
        this.judgeBy = judgeBy;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.deleteStatus = deleteStatus;
        this.isLock = isLock;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.platSeqNo = platSeqNo;
        this.ownerIdtype = ownerIdtype;
        this.eDStatus = eDStatus;
    }

    public EnterpriseDto() {
    }
}
